function  sampleData2d01()
fprintf('\n--------------- sampleData2d01\n')
close all
meshfile=gmsh.buildmesh2d('condenser',20);
Th=siMesh(meshfile);
u=@(x,y) cos(2*x-y).*sin(x-2*y);
U=Th.eval(u);

tstart=tic();
figure(1);
Th.plot(U)
shading interp
axis off;axis image
colorbar
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

tstart=tic();
figure(2)
Th.plotmesh('d',1,'color','k','Linewidth',2);
hold on
Th.plotiso(U,'niso',20,'isocolorbar',true,'format','%.3f','Linewidth',2);
axis off;axis image
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))
fc_tools.graphics.DisplayFigures();