function  sampleData2d04()
fprintf('\n--------------- sampleData2d04\n')
close all
meshfile=gmsh.buildmesh2d('disk3holes',50);
Th=siMesh(meshfile);
u=@(x,y) cos(pi*x.^2).*cos(pi*y.^2);
U=Th.eval(u);
w={@(x,y) y.*cos(-(x.^2+y.^2)/10);@(x,y) -x.*cos(-(x.^2+y.^2)/10)};
W=[Th.eval(w{1}),Th.eval(w{2})]';
tstart=tic();
figure(1)
Th.plotmesh('d',1,'color','k', 'LineWidth',1.5)
hold on
Th.plotVectorField(W,'colordata',U,'freq',2, 'scale',0.05)
axis off;axis image
colorbar
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

tstart=tic();
figure(2)
Th.plotmesh('d',1,'color','k', 'LineWidth',1.5)
hold on
Th.plotVectorField(W,'LineWidth',1)
Th.plotiso(U, 'LineWidth',1.5)
axis off;axis image
colormap('jet')
T=toc(tstart);
title(sprintf('nq=%d, nme=%d, display in %.3f(s)',Th.nq,Th.get_nme(),T))

fc_tools.graphics.DisplayFigures();